Skip to main content
GET
/
api
/
spaces
/
{spaceId}
/
git
/
{itemId}
/
status
cURL
curl --request GET \
  --url https://api.kazzle.app/api/spaces/{spaceId}/git/{itemId}/status \
  --header 'Authorization: Bearer <token>'
{
  "branch": "<string>",
  "commitHash": "<string>",
  "commitsAhead": 123,
  "uncommittedCount": 123,
  "files": [
    {
      "path": "<string>",
      "status": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.kazzle.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Better Auth JWT token

Path Parameters

spaceId
string
required
itemId
string
required

Response

200 - application/json

Successful response

branch
string
commitHash
string
commitsAhead
number
uncommittedCount
number
files
object[]
{key}
any